<?php

namespace App\Components\Gateways;

use Exception;
use Carbon\Carbon;
use App\Models\Plan;
use Razorpay\Api\Api;
use Illuminate\Http\Request;
use App\Contracts\GatewayInterface;
use Shakurov\Coinbase\Facades\Coinbase as CoinbasePay;

class CoinBase implements GatewayInterface
{
    protected $request;
    protected $config;

    public function __construct(Request $request, array $config)
    {
        $this->request = $request;
        $this->config = $config;
    }

    public function isActive(): bool
    {
        // return (bool) setting('razor_allow', 0);
        return (bool) 1;
    }

    public function isConfigured(): bool
    {
        return 1;
    }

    public function getName(): string
    {
        return "CoinBase";
    }

    public function getIcon(): string
    {
        return '<i class="an an-paypal-card"></i>';
    }

    public function getViewName()
    {
        return "checkout.coinbase";
    }

    public function initialize()
    {
    }

    public function render()
    {
        return view('checkout.razorpay')->render();
    }

    public function processPayment($transaction)
    {
        $request = $this->request;
        $plan_id = $request->plan_id;
        if ($plan_id == 0) {
            $plan = ads_plan();
        } else {
            $plan = Plan::find($request->plan_id); //get from plan db
        }

        if ($request->type == "yearly") {
            $amount = $plan->yearly_price;
            $var_type = "addAnnualPlan";
        } else {
            $amount = $plan->monthly_price;
            $var_type = "addMonthlyPlan";
        }

        $charge = CoinbasePay::createCharge([
            'name' => 'Name',
            'description' => 'Description',
            'local_price' => [
                'amount' => 100,
                'currency' => 'USD',
            ],
            'pricing_type' => 'fixed_price',
        ]);

        dd($charge);
        try {
            $input = $request->all();

            dd($input);
        } catch (\Exception $e) {
            return redirect()->back()->withError($e->getMessage());
        }
    }
}
