@props([
    'conversations' => null,
    'robot' => null,
    'last_conversation' => null,
])

<div class="collapse history-chat" id="sectiontohide">
    <div class="history-title">
        <div class="row">
            <div class="col-md-9 d-md-flex align-items-center d-none">
                <div class="title">
                    <h6 class="mb-0">@lang('robots.chatHistory')</h6>
                </div>
            </div>
            <div class="col-md-3">
                <div class="search">
                    <input class="form-control" type="search" placeholder="@lang('common.search')" aria-label="@lang('common.search')" id="search-input-conversation">
                </div>
            </div>
        </div>
    </div>
    <table class="table" id="conversation-table">
        <thead>
            <tr>
                <th scope="col"></th>
                <th scope="col">@lang('robots.title')</th>
                <th class="text-center" scope="col">@lang('robots.numberOfWords')</th>
                <th class="d-none d-lg-table-cell" scope="col">@lang('robots.robotName')</th>
                <th class="d-none d-lg-table-cell" scope="col">@lang('robots.lastActivity')</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($conversations as $conversation)
                <tr class="robot-search-conversation  @if($last_conversation != null && $last_conversation->id == $conversation->id) table-light @endif ">
                    <th scope="row" class="text-center file-type"><i class="an an-file-alt"></i></th>
                    <td><a href="{{ route('robot.conversation' , ['robot'=> $robot->id,'conversation'=> $conversation->id])}}">{{ $conversation->title }}</a></td>
                    <td class="text-center">{{ $conversation->words }}</td>
                    <td class="d-none d-lg-table-cell">{{ $conversation->robot->name }}</td>
                    <td class="d-none d-lg-table-cell">{{ $conversation->last_conversation_on }}</td>
                </tr>
            @endforeach
        </tbody>
    </table>
</div>
