<?php if(!isset($innerLoop)): ?>
    <ul class="artisan-nav nav nav-menu ms-auto">
    <?php else: ?>
        <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
<?php endif; ?>

<?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <?php
        $originalItem = $item;

        $listItemClass = null;
        $linkAttributes = null;
        $styles = null;
        $icon = null;

        // Background Color or Color
        if (isset($options->color) && $options->color == true) {
            $styles = 'color:' . $item->color;
        }
        if (isset($options->background) && $options->background == true) {
            $styles = 'background-color:' . $item->color;
        }

        // With child Attributes
        if (isset($originalItem->child) && !$originalItem->child->isEmpty()) {
            if ($item->active) {
                $linkAttributes = 'class="nav-link dropdown-toggle active" data-bs-toggle="dropdown"';
            } else {
                $linkAttributes = 'class="nav-link dropdown-toggle" data-bs-toggle="dropdown"';
            }
            $listItemClass = 'nav-item dropdown';
        } else {
            $listItemClass = 'nav-item';

            if ($item->active) {
                $linkAttributes = 'class="nav-link active"';
            } else {
                $linkAttributes = 'class="nav-link"';
            }

            if (isset($innerLoop)) {
                $listItemClass = '';
                if ($item->active) {
                    $linkAttributes = 'class="dropdown-item active"';
                } else {
                    $linkAttributes = 'class="dropdown-item"';
                }
            }
        }

        // Set Icon
        if (isset($options->icon) && $options->icon == true && !empty($item->icon_class)) {
            if (Str::contains($item->icon_class, '<svg')) {
                $icon = "{$item->icon_class}";
            } else {
                $icon = '<i class="' . $item->icon_class . '"></i>';
            }
        }
    ?>
    <li class="<?php echo e($listItemClass); ?>">
        <a href="<?php echo e($item->href); ?>" target="<?php echo e($item->target); ?>" style="<?php echo e($styles); ?>" <?php echo $linkAttributes ?? ''; ?>>
            <?php echo $icon; ?>

            <?php echo e($item->label); ?>

        </a>
        <?php if(isset($originalItem->child) && !$originalItem->child->isEmpty()): ?>
            <?php echo $__env->make('menu.bootstrap', [
                'items' => $originalItem->child,
                'options' => $options,
                'innerLoop' => true,
            ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php endif; ?>
    </li>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
<?php if(auth()->guard()->guest()): ?>
    <?php if(Route::has('login') && !isset($innerLoop)): ?>
        <li class="nav-item"><a class="nav-link" aria-current="page" href="<?php echo e(route('login')); ?>"><?php echo app('translator')->get('auth.login'); ?></a></li>
        <?php if(Route::has('register')): ?>
            <li class="nav-item ms-3">
                <a href="<?php echo e(route('register')); ?>" class="nav-link nav-btn"><?php echo app('translator')->get('auth.startFree'); ?></a>
            </li>
        <?php endif; ?>
    <?php endif; ?>
<?php endif; ?>
</ul>
<?php /**PATH /home/compose/public_html/resources/themes/neuralink/menu/bootstrap.blade.php ENDPATH**/ ?>